Rem
Rem $Header: atrans.sql 07-aug-99.21:27:13 mpoess Exp $
Rem
Rem atrans.sql
Rem
Rem  Copyright (c) Oracle Corporation 1999. All Rights Reserved.
Rem
Rem    NAME
Rem      atrans.sql - <one-line expansion of the name>
Rem
Rem   DESCRIPTION
Rem        Creates ACID Transaction Package for TPC-D benchmark.
Rem        Asks user to input values for o_key, delta and output file.
Rem
Rem    NOTES
Rem      <other useful comments, qualifications, etc.>
Rem
Rem    MODIFIED   (MM/DD/YY)
Rem    mpoess      08/07/99 - Creation
Rem    mpoess      08/07/99 - Created
Rem


set serverout on;
set termout on;
set echo on;

CREATE OR REPLACE PACKAGE d_atrans
IS
PROCEDURE doatrans
(
	l_key		IN OUT integer,
	o_key		IN OUT integer,
	delta		IN OUT integer,
	l_pkey          IN OUT integer,
	l_skey          IN OUT integer,
	l_quan          IN OUT integer,
	l_newquan       IN OUT integer,
	l_tax           IN OUT number,
	l_disc          IN OUT number,
	l_eprice        IN OUT number,
	l_neweprice     IN OUT number,
	o_tprice	IN OUT number,
	o_newtprice	IN OUT number,
	rprice		IN OUT number,
	cost		IN OUT number
);
END;
/

CREATE OR REPLACE PACKAGE BODY d_atrans
IS
PROCEDURE doatrans
(
	l_key		IN OUT integer,
	o_key		IN OUT integer,
	delta 		IN OUT integer,
	l_pkey          IN OUT integer,
	l_skey          IN OUT integer,
	l_quan          IN OUT integer,
	l_newquan       IN OUT integer,
	l_tax           IN OUT number,
	l_disc          IN OUT number,
	l_eprice        IN OUT number,
	l_neweprice     IN OUT number,
	o_tprice	IN OUT number,
	o_newtprice	IN OUT number,
	rprice		IN OUT number,
	cost		IN OUT number
)
IS
        ototal number;
        not_serializable EXCEPTION;
        PRAGMA EXCEPTION_INIT(not_serializable,-8177);
BEGIN
  LOOP BEGIN

    select o_totalprice
	into o_tprice
	from orders
	where o_orderkey = o_key;

    select l_quantity, l_extendedprice, l_partkey, l_suppkey, l_tax, l_discount
        into l_quan, l_eprice, l_pkey, l_skey, l_tax, l_disc
        from lineitem
        where l_orderkey = o_key
        and   l_linenumber = l_key;

    ototal := o_tprice - trunc((trunc((l_eprice * (1.0-l_disc)),2) * (1.0+l_tax)),2);
    rprice := trunc((l_eprice/l_quan), 2);
    cost := trunc((rprice * delta), 2);
    l_neweprice := l_eprice + cost;
    o_newtprice := trunc((l_neweprice * (1.0 - l_disc)), 2);
    o_newtprice := ototal + trunc((o_newtprice * (1.0 + l_tax)), 2);
    l_newquan := l_quan + delta;

    update lineitem
        set l_extendedprice = l_neweprice,
        l_quantity = l_newquan
        where l_orderkey = o_key
        and l_linenumber = l_key;

    update orders
        set o_totalprice = o_newtprice
        where o_orderkey = o_key;

     insert into history (h_p_key, h_s_key, h_o_key, h_l_key, h_delta, h_date_t)
        values (l_pkey, l_skey, o_key, l_key, delta, sysdate);

    EXIT;

  EXCEPTION
    WHEN not_serializable THEN
      ROLLBACK;
  END;

  END LOOP;

END doatrans;
END;
/

exit;

