Rem
Rem $Header: template.sql 16-feb-2001.19:27:01 mpoess   Exp $
Rem
Rem consist.sql
Rem
Rem  Copyright (c) Oracle Corporation 2001. All Rights Reserved.
Rem
Rem    NAME
Rem      consist.sql - <one-line expansion of the name>
Rem
Rem    DESCRIPTION
Rem      Verifies the consistency of TPC-D database using the
Rem      consistency condition.
Rem
Rem    NOTES
Rem    REQUIRES PACKAGES prvtotpt and dbmsotpt
Rem
Rem    MODIFIED   (MM/DD/YY)
Rem    mpoess      07/10/01 - Created
Rem

SET FEEDBACK 1
SET NUMWIDTH 10
SET LINESIZE 80
SET TRIMSPOOL ON
SET TAB OFF
SET PAGESIZE 100
SET ECHO ON

set verify off
rem set termout on
rem set echo on


REM
REM Get today's date.
REM

select 
substr(TO_CHAR(sysdate,'YYYY-MM-DD HH:MI:SS'),1,20) as CURRENT_TIME 
from dual;

set serverout on;

DECLARE
	o_okey          number;
	o_tprice	number;
	l_tprice	number;
	diff		number;
BEGIN
    select o_totalprice
	into o_tprice
	from orders
	where o_orderkey = &&1;


    select sum(trunc((trunc((l_extendedprice * (1-l_discount)), 2) 
           * (1+l_tax)), 2))
	into l_tprice
	from lineitem
	where l_orderkey = &&1;

    diff := l_tprice - o_tprice;

    dbms_output.put_line('O_TOTALPRICE: ' || TO_CHAR(trunc(o_tprice,2)));
    dbms_output.put_line('L_TOTALPRICE: ' || TO_CHAR(trunc(l_tprice,2)));
    dbms_output.put_line('Difference:   ' || TO_CHAR(trunc(diff,2)));

END;
.
/


spool off
exit

